title: Splatter
url: http://oshlack.github.io/splatter
template:
  params:
    bootswatch: cosmo
    ganalytics: UA-52309538-4
reference:
  - title: Parameters
    desc: Parameters functions and classes
    contents:
      - '`getParam`'
      - '`getParams`'
      - '`Lun2Params`'
      - '`LunParams`'
      - '`newParams`'
      - '`Params`'
      - '`SCDDParams`'
      - '`SimpleParams`'
      - '`SplatParams`'
      - '`setParam`'
      - '`setParams`'
  - title: Estimation
    desc: Functions for estimating parameters
    contents:
      - '`lun2Estimate`'
      - '`lunEstimate`'
      - '`scDDEstimate`'
      - '`simpleEstimate`'
      - '`splatEstBCV`'
      - '`splatEstDropout`'
      - '`splatEstimate`'
      - '`splatEstLib`'
      - '`splatEstMean`'
      - '`splatEstOutlier`'
  - title: Simulation
    desc: Functions for simulating datasets
    contents:
      - '`lun2Simulate`'
      - '`lunSimulate`'
      - '`scDDSimulate`'
      - '`simpleSimulate`'
      - '`splatSimBatchCellMeans`'
      - '`splatSimBatchEffects`'
      - '`splatSimBCVMeans`'
      - '`splatSimCellMeans`'
      - '`splatSimDE`'
      - '`splatSimDropout`'
      - '`splatSimGeneMeans`'
      - '`splatSimLibSizes`'
      - '`splatSimTrueCounts`'
      - '`splatSimulate`'
  - title: Comparison functions
    desc: Functions for comparing datasets
    contents:
      - '`compareSCESets`'
      - '`diffSCESets`'
      - '`makeCompPanel`'
      - '`makeDiffPanel`'
      - '`makeOverallPanel`'
      - '`summariseDiff`'
  - title: Other exported functions
    desc: Additional functions exported by Splatter
    contents:
      - '`addFeatureStats`'
      - '`addGeneLengths`'
      - '`listSims`'
  - title: Internals
    desc: Internal functions and helpers
    contents:
      - '`bridge`'
      - '`expandParams`'
      - '`getLNormFactors`'
      - '`getPathOrder`'
      - '`logistic`'
      - '`rbindMatched`'
      - '`setParamsUnchecked`'
      - '`setParamUnchecked`'
      - '`showPP`'
      - '`winsorize`'
